Package ru.bitel.bgbilling.plugins.dispatch.server.utils

# Class DispatchUtils

java.lang.Object
ru.bitel.bgbilling.kernel.container.service.server.AbstractService
ru.bitel.bgbilling.plugins.dispatch.server.utils.DispatchUtils

    public final class DispatchUtils
    extends ru.bitel.bgbilling.kernel.container.service.server.AbstractService

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.container.service.server.AbstractService

  `context, moduleId, userId`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DispatchUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.util.List<Contact>` | `getContactsFromContractParameters​(int contractId, Dispatch dispatch, java.sql.Connection con)` | Возвращает список контактов из параметров договора, взависимости от типа контактов в подписке или пустой список, если контактов в параметрах не оказалось
  `static int` | `getContactTypeIdOfContact​(Dispatch dispatch, java.sql.Connection con)` | Возвращает id типа контактов для подписки
  `static int` | `getContactTypePid​(Dispatch dispatch, java.sql.Connection con)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.container.service.server.AbstractService

  `getConnection, getConnectionSet, getModuleSetup, getSetup, getSlaveConnection, getTrashConnection, resetModuleSetup`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchUtils

    public DispatchUtils()

- ## Method Details

  - ### getContactsFromContractParameters

    public static java.util.List<Contact> getContactsFromContractParameters​(int contractId, Dispatch dispatch, java.sql.Connection con) throws ru.bitel.bgbilling.common.BGException
    Возвращает список контактов из параметров договора, взависимости от типа контактов в подписке или пустой список, если контактов в параметрах не оказалось
    Parameters:
      `contractId` -
      `dispatch` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContactTypeIdOfContact

    public static int getContactTypeIdOfContact​(Dispatch dispatch, java.sql.Connection con) throws ru.bitel.bgbilling.common.BGException
    Возвращает id типа контактов для подписки
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContactTypePid

    public static int getContactTypePid​(Dispatch dispatch, java.sql.Connection con) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`